Update a knowledge store

Updates the specified knowledge store. Only name, description, and metadata can be updated. The ingestion_config is immutable after creation.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

knowledge_store_idstringRequired
The unique identifier of the knowledge store.

Request

This endpoint expects an object.
namestringOptional
The name of the knowledge store.
descriptionstringOptional
An optional description of the knowledge store.
metadatamap from strings to stringsOptional

Key-value pairs to attach to the knowledge store.

Response

The knowledge store has been successfully updated.
_idstring
The unique identifier of the knowledge store.
namestring
The name of the knowledge store.
descriptionstring
An optional description of the knowledge store.
ingestion_configobject
Configuration that controls how content added to this knowledge store is processed. This field is immutable after creation.
item_countintegerRead-only
The number of items in the knowledge store.
created_atstringformat: "date-time"
The date and time when the knowledge store was created, in the RFC 3339 format.
updated_atstringformat: "date-time"
The date and time when the knowledge store was last updated, in the RFC 3339 format.
metadatamap from strings to strings

Key-value pairs attached to the knowledge store.

Errors

400
Bad Request Error